Skip to main content
GET
/
locations
List locations
curl --request GET \
  --url https://www.ruddr.io/api/workspace/locations \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "13e1cc93-be1a-495f-8455-8b92ca07d851",
      "name": "San Diego, California",
      "isActive": true,
      "createdAt": "2024-03-18T14:46:21.035Z"
    }
  ],
  "hasMore": false
}
A physical or logical location used to organize service offerings and personnel.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer<int32>

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.